Page 2 of 3 FirstFirst 123 LastLast
Results 11 to 20 of 24

Thread: GoogleEarth-5.2 install to Tumbleweed no longer possible?

  1. #11

    Default Re: GoogleEarth-5.2 install to Tumbleweed no longer possible?

    Quote Originally Posted by fitterski View Post
    ============================================================
    Code:
    #! /bin/sh
    ........ see next
    ---------------------------------------------------------------------------------------------------------
    Code:
    #! /bin/sh
    #
    # Product setup script
    #
    
    if [ -z "$DISPLAY" ]; then
        echo "You don't seem to be running an X server (no DISPLAY set)."
        echo "Google Earth and its installer both require X11."
        echo "Aborting..."
        exit 1
    fi
    
    
    # Go to the proper setup directory (if not already there)
    cd `dirname $0`
    
    # defaults
    FATAL_ERROR="Fatal error, installer failed to run at all!"
    # try to get root prior to running setup?
    # 0: no
    # 1: prompt, but run anyway if fails
    # 2: require, abort if root fails
    GET_ROOT=0
    XSU_ICON=""
    # You may want to set USE_XHOST to 1 if you want an X11 application to
    # be launched with root privileges right after installation
    USE_XHOST=0
    # this is the message for su call, printf
    SU_MESSAGE="You need to run this installation as the super user.\nPlease enter the root password."
    
    NULL=/dev/null
    
    # See if we have the XPG4 utilities (Solaris)
    if test -d /usr/xpg4/bin; then
        PATH=/usr/xpg4/bin:$PATH
    fi
    
    # Return the appropriate architecture string
    DetectARCH()
    {
        status=1
        case `uname -m` in
            x86_64 | amd64)
            echo "amd64"
            status=0;;
            i?86 | i86*)
            echo "x86"
            status=0;;
            90*/*) 
            echo "hppa"
            status=0;;
            *)
            case `uname -s` in
                IRIX*)
                echo "mips"
                status=0;;
                AIX*)
                echo "ppc"
                status=0;;
                *)
                arch=`uname -p 2> /dev/null || uname -m`
                if test "$arch" = powerpc; then
                    echo "ppc"
                else
                    echo $arch
                fi
                status=0;;
            esac
        esac
        return $status
    }
    
    # Return the appropriate version string
    DetectLIBC()
    {
        status=1
          if [ `uname -s` != Linux ]; then
              echo "glibc-2.1"
              return $status
          fi
          if [ -f `echo /lib/libc.so.6* | tail -n 1` ]; then
              if fgrep GLIBC_2.1 /lib/libc.so.6* 2> $NULL >> $NULL; then
                      echo "glibc-2.1"
                      status=0
              else    
                      echo "glibc-2.0"
                      status=0
              fi        
          elif [ -f /lib/libc.so.5 ]; then
              echo "libc5"
              status=0
          else
              echo "unknown"
          fi
          return $status
    }
    
    DetectOS()
    {
        os=`uname -s`
        if test "$os" = "OpenUNIX"; then
            echo SCO_SV
        else
            echo $os
        fi
        return 0
    }
    
    # Detect the environment
    arch=`DetectARCH`
    libc=`DetectLIBC`
    os=`DetectOS`
    
    args=""
    
    # Import preferences from a secondary script
    if [ -f setup.data/config.sh ]; then
        . setup.data/config.sh
    elif [ -f SETUP.DAT/CONFIG.SH\;1 ]; then
        # HP-UX and other systems unable to get LFN correctly
        . SETUP.DAT/CONFIG.SH\;1
    fi
    
    # Add some standard paths for compatibility
    PATH=$PATH:/usr/ucb
    
    # call setup with -auth when ran through su/xsu
    auth=0
    if [ "$1" = "-auth" ]
    then
      auth=1
      shift
    fi
    
    if [ "$auth" -eq 1 ]
    then
      # if root is absolutely required
      # this happens if xsu/su execs setup.sh but it still doesn't have root rights
      if [ "$GET_ROOT" -eq 2 ]
      then
        # NOTE TTimo: this causes the following error message in some cases:
        # return: can only `return' from a function or sourced script
        # BUT: in other cases, the return is legit, if you replace by an exit call, it's broken
        exit 1
      fi
    fi
    
    # Find the installation program
    # try_run [-absolute] [-fatal] INSTALLER_NAME [PARAMETERS_PASSED]
    #   -absolute option: if what you are trying to execute has an absolute path
    #   NOTE: maybe try_run_absolute would be easier
    #   -fatal option: if you want verbose messages in case
    #      - the script could not be found
    #      - it's execution would fail
    #   INSTALLER_NAME: setup.gtk or setup, etc
    #   PARAMETERS_PASSED: additional arguments passed to the setup script
    try_run()
    {
        absolute=0
        if [ "$1" = "-absolute" ]; then
          absolute=1
          shift
        fi
    
        fatal=0
        # older bash < 2.* don't like == operator, using =
        if [ "$1" = "-fatal" ]; then
          # got fatal
          fatal=1
          shift
        fi
    
        setup=$1
        shift
    
        # echo "$os" "$arch"
        
        # First find the binary we want to run
        failed=0
        if [ "$absolute" -eq 0 ]
        then
          setup_bin="setup.data/bin/$os/$arch/$libc/$setup"
          # trying $setup_bin
          if [ ! -f "$setup_bin" ]; then
              setup_bin="setup.data/bin/$os/$arch/$setup"
                # libc dependant version failed, trying again
              if [ ! -f "$setup_bin" ]; then
                  failed=1
              fi
          fi
          if [ "$failed" -eq 1 ]; then
              if [ "$fatal" -eq 1 ]; then
                  echo "This installation doesn't support $libc on $os / $arch"
                  echo "(tried to run $setup)"
                  echo "$FATAL_ERROR"
              fi
              return $failed
          fi
    
          # Try to run the binary ($setup_bin)
          # The executable is here but we can't execute it from CD
          # NOTE TTimo: this is dangerous, we also use $setup to store the name of the try_run
    
          #setup="$HOME/.setup$$"
          #rm -f "$setup"
          #cp "$setup_bin" "$setup"
          #chmod 700 "$setup"
          #trap "rm -f $setup" 1 2 3 15
    
          # Google Earth isn't on a CD (and if it was, makeself would have
          # unpacked it to /tmp anyhow), so don't copy. --ryan.
          setup="$setup_bin"
        fi
        # echo Running "$setup" "$@"
        if [ "$fatal" -eq 0 ]; then
            "$setup" "$@"
            failed="$?"
        else
            "$setup" "$@" 2>> $NULL
            failed="$?"
        fi
        if [ "$absolute" -eq 0 ]
        then
          # don't attempt removal when we are passed an absolute path
          # no, I don't want to imagine a faulty try_run as root on /bin/su
    
          # Google Earth installer didn't copy here, so don't unlink.
          ignorethisline=1 #rm -f "$setup"
        fi
        return "$failed"
    }
    
    # if we have not been through the auth yet, and if we need to get root, then prompt
    if [ "$auth" -eq 0 ] && [ "$GET_ROOT" -ne 0 ]
    then
      GOT_ROOT=`id -u`
      if [ "$GOT_ROOT" != "0" ]
      then
        if [ "$USE_XHOST" -eq 1 ]; then
            xhost +127.0.0.1 2> $NULL > $NULL
        fi
        try_run xsu -e -a -u root -c "sh `pwd`/setup.sh -auth" $XSU_ICON
        status="$?"
        # echo "got $status"
        # if try_run successfully executed xsu, it will return xsu's exit code
        # xsu returns 2 if ran and cancelled (i.e. the user 'doesn't want' to auth)
        # it will return 0 if the command was executed correctly
        # summing up, if we get 1, something failed
        if [ "$status" -eq 0 ]
        then
          # the auth command was properly executed
          exit 0
        elif [ "$status" -eq 1 ]
        then
          # xsu wasn't found, or failed to run
          # if xsu actually ran and the auth was cancelled, $status is 2
          # try with su
          printf "$SU_MESSAGE\n"
          try_run -absolute /bin/su root -c "export DISPLAY=$DISPLAY;sh `pwd`/setup.sh -auth"
          status="$?"
          if [ "$status" -eq 0 ]; then
            # the auth command was properly executed
            exit 0
          else
            exit 1
          fi
        elif [ "$status" -eq 3 ]
        then
          # the auth failed or was canceled
          # we don't want to even start the setup if not root
          echo "Please run this installation as the super user"
          exit 1
        fi
        # continue running as is
      fi
    fi
    
    # Try to run the setup program. GTK+v2 first, if that fails, try GTK+v1, then try a stdio thing.
    if [ ! -z "$SETUP_PROGRAM" ]; then
        try_run "$SETUP_PROGRAM" $args $*
        exit $?
    fi
    
    try_run setup.gtk2 $args $*
    status=$?
    if [ $status -eq 2 ] || [ $status -eq 127 ]; then  # setup.gtk couldn't connect to X11 server - ignore
        try_run setup.gtk $args $*
        status=$?
        if [ $status -eq 2 ] || [ $status -eq 127 ]; then  # setup.gtk couldn't connect to X11 server - ignore
            try_run setup $args $* || {
                if [ $status -ne 2 ]; then
                    echo "The setup program seems to have failed on $arch"
                    echo
                    echo $FATAL_ERROR
                fi
                status=1
            }
        fi
    fi
    exit $status

  2. #12

    Default Re: GoogleEarth-5.2 install to Tumbleweed no longer possible?

    This may be a *NOT OpenSuse* issue after all. Once I had seen that an install to a somewhat tweaked Debian-8 went alright I moved up to Debian-9 because after all what makers all this critical from MY perspective is the potential INability to continue using Ge-Flt-Sim with Linux AND stick support in years to come. Having cleared the subject Debian-8 install I tried the install to Debian-9 and got weird results there too. The suspected setup script is unable to find some other fles in this case, again it's files that are staring it right in the face. There the 'missing' files setup.gtk2 and setup.gtk are actually part of the package that the installer itself unpacks!

    Code:
    # fixit/setup.sh
    /0/sa14/comp-gen/xtra-progs/fixit/setup.sh: 216: /0/sa14/comp-gen/xtra-progs/fixit/setup.sh: setup.data/bin/Linux/amd64/setup.gtk2: not found
    /0/sa14/comp-gen/xtra-progs/fixit/setup.sh: 216: /0/sa14/comp-gen/xtra-progs/fixit/setup.sh: setup.data/bin/Linux/amd64/setup.gtk: not found
    The setup program seems to have failed on amd64
    Fatal error, installer failed to run at all!
    So, methinks maybe I should try this in a general Linux forum on usenet. The ideal solution would of course be to get stick support into LSB, is anyone maintainingthat package at all? I mean it's been many years now....

  3. #13
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,644
    Blog Entries
    14

    Default Re: GoogleEarth-5.2 install to Tumbleweed no longer possible?

    Maybe I'm missing something, but I downloaded the rpm from https://www.google.nl/earth/download/gep/agree.html to ~/rpms in my homedir
    Next I opened a terminal window, cd'd into that folder and did
    Code:
    su -c 'zypper in ./google-earth-pro-stable-current.x86_64.rpm'
    The rpm installed properly, no warnings or errors. I started GE and it works like it should.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  4. #14

    Default Re: GoogleEarth-5.2 install to Tumbleweed no longer possible?

    Quote Originally Posted by Knurpht View Post
    Maybe I'm missing something, but I downloaded the rpm from https://www.google.nl/earth/download/gep/agree.html to ~/rpms in my homedir
    Next I opened a terminal window, cd'd into that folder and did
    Code:
    su -c 'zypper in ./google-earth-pro-stable-current.x86_64.rpm'
    The rpm installed properly, no warnings or errors. I started GE and it works like it should.
    My issue with versions > 5.2 is not installation but that the Flt-Sim has no stick support, which is capital nonsense. As far as I know the reason for this is that said later versions use the LSB package and that it has no stick support for some obscure reason and that this shortcoming has never been addressed since. Anyway, I did want to get the 'latest and greatest' aboard just to be sure..

    Code:
    su -c 'zypper in ./google-earth-pro-stable-current.x86_64.rpm'
    Password: 
    Specified local path does not exist or is not accessible.
    Problem retrieving the specified RPM file:
    Malformed URI: 
    Please check whether the file is accessible.
    Problem with the RPM file specified as './google-earth-pro-stable-current.x86_64.rpm', skipping.
    No valid arguments specified.
    I found no Pro version in the online repos that I have but did manage to get the

    google-earth-pro-stable-current.x86_64.rpm
    from
    https://www.google.com/earth/download/gep/agree.html

    Enabled in Yast the local folder hosting it after the download and installed it no problem.

    Upon launching all I get is a graphical disaster (too bad I cannoty upload a screenshot) but I can get to the menu line to select "Enter Flight Simulator" or such. The resulting Flt-Sim setup dialog has a button "Joystick Enabled" which is ghosted in ALL versions since 5.2 as far as I know. The stick IS there

    Code:
    lsusb
    Bus 006 Device 002: ID 044f:b10a ThrustMaster, Inc. T.16000M Joystick
    and it works fine with Ge-5.2 on OpenSuse-13.2.

  5. #15
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,646

    Default Re: GoogleEarth-5.2 install to Tumbleweed no longer possible?

    None says an old version of software will run on a newer OS.

    Seems like your problem is with Google and their depreciation of the flight stick feature

    For what it is worth I still have the old 5.2 here and it runs fine on 42.2. But then TW is cutting edge and far a head of that version

  6. #16

    Default Re: GoogleEarth-5.2 install to Tumbleweed no longer possible?

    Quote Originally Posted by gogalthorp View Post
    None says an old version of software will run on a newer OS.

    Seems like your problem is with Google and their depreciation of the flight stick feature

    For what it is worth I still have the old 5.2 here and it runs fine on 42.2. But then TW is cutting edge and far a head of that version
    My problem is with the idiots that wrote LSB without stick support. Google just took what was offered them by way of standardisation in Linux. Mind you after all these YEARS as far as I'm concerned BOTH groups should have cleared up the problem ..maybe cooperatively.

    Did you install the 5.2 rpm that's floating around or the compressed google package? I haven't tried Leap but if it works there then I see no reason why it shouldn't on TW. I might give it a shot if all else fails, that would give a couple more years of use.

  7. #17
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,646

    Default Re: GoogleEarth-5.2 install to Tumbleweed no longer possible?

    No I have had the same GE installed over several OS version since it lives in home and I keep home between OSs and is not a system install no need to reinstall it.

  8. #18

    Default Re: GoogleEarth-5.2 install to Tumbleweed no longer possible?

    I'm gettin' there I think. Did a Leap freshie. Not wanting to fall short of anything I cut a 200gb partition and poupulated it with 60gb worth of 42.3. The install attempt still bombed just like on TW but when I tried to just launch a binary on a 13.2 mounted for the occasion it took right off! It didn't on TW but even this much buys me a couple of years. Next I'll try to repeat the same thing on a fresh TW although success there would be no guarantee of longer term survival.

  9. #19

    Default Re: GoogleEarth-5.2 install to Tumbleweed no longer possible?

    Quote Originally Posted by fitterski View Post
    ...Next I'll try to repeat the same thing on a fresh TW although success there would be no guarantee of longer term survival.
    Did that, no change, Ge-5.2 will neither install on TW nor run if just invoked as a transplanted binary. However I also noticed that a Leap install with just the default packages isn't enough either. I padded out the Leap install with every available package from the DVD minus half a dozen dependency failures. The same didn't do it on TW however.

  10. #20

    Default Re: GoogleEarth-5.2 install to Tumbleweed no longer possible?

    I took it one step further without success.

    Imported into Yast the successful Leap-423 package list and installed from the TW repos with the fewest possible dependency related changes (in all I think maybe a dozen were not installed).

    I got the same error message if I tried to run an existing Ge-5.2 binary OR if I tried to install the Google package, and I got it either as user OR as root:

    Code:
    Invalid MIT-MAGIC-COOKIE-1 key
    Haven't got the faintest clue as to what is means, or how to work around the problem any further.

Page 2 of 3 FirstFirst 123 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •